﻿.active {
    background: #bbc8e4 !important;
}

.inert {
    color: #FF0000 !important;
}

th.headerSortDown {
    background-image: url(../Images/desc.gif);
    background-repeat: no-repeat;
    background-position: right;
}

th.headerSortUp {
    background-image: url(../Images/asc.gif);
    background-repeat: no-repeat;
    background-position: right;
}

.tablesorter-default .header, .tablesorter-default .tablesorter-header {
    background-image: url(data:image/gif;base64,R0lGODlhFQAJAIAAACMtMP///yH5BAEAAAEALAAAAAAVAAkAAAIXjI+AywnaYnhUMoqt3gZXPmVg94yJVQAAOw==);
    background-position: center right;
    background-repeat: no-repeat;
    cursor: pointer;
    white-space: normal;
}

.tablesorter-default thead .headerSortUp, .tablesorter-default thead .tablesorter-headerAsc, .tablesorter-default thead .tablesorter-headerSortUp {
    background-image: url(data:image/gif;base64,R0lGODlhFQAEAIAAACMtMP///yH5BAEAAAEALAAAAAAVAAQAAAINjI8Bya2wnINUMopZAQA7);
}

.tablesorter-default thead .headerSortDown, .tablesorter-default thead .tablesorter-headerDesc, .tablesorter-default thead .tablesorter-headerSortDown {
    background-image: url(data:image/gif;base64,R0lGODlhFQAEAIAAACMtMP///yH5BAEAAAEALAAAAAAVAAQAAAINjB+gC+jP2ptn0WskLQA7);
}

.tablesorter-default thead .sorter-false {
    background-image: none;
    cursor: default;
}

.even {
    color: #FF0000 !important;
}

.odd {
    color: #014a01 !important;
}

input.groovybutton, button.groovybutton {
    font-weight: bold;
    font-size: 15px;
    min-width: 84px;
    white-space: nowrap;
    /*border-color: #FFCC33;*/
    cursor: pointer;
    height: 25px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
    border: 1px solid #25729a;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
}

@-webkit-keyframes glowing {
    0% {
        background-color: #B20000;
        -webkit-box-shadow: 0 0 3px #B20000;
    }

    50% {
        background-color: #FF0000;
        -webkit-box-shadow: 0 0 40px #FF0000;
    }

    100% {
        background-color: #B20000;
        -webkit-box-shadow: 0 0 3px #B20000;
    }
}

@-moz-keyframes glowing {
    0% {
        background-color: #B20000;
        -moz-box-shadow: 0 0 3px #B20000;
    }

    50% {
        background-color: #FF0000;
        -moz-box-shadow: 0 0 40px #FF0000;
    }

    100% {
        background-color: #B20000;
        -moz-box-shadow: 0 0 3px #B20000;
    }
}

@-o-keyframes glowing {
    0% {
        background-color: #B20000;
        box-shadow: 0 0 3px #B20000;
    }

    50% {
        background-color: #FF0000;
        box-shadow: 0 0 40px #FF0000;
    }

    100% {
        background-color: #B20000;
        box-shadow: 0 0 3px #B20000;
    }
}

@keyframes glowing {
    0% {
        background-color: #B20000;
        box-shadow: 0 0 3px #B20000;
    }

    50% {
        background-color: #FF0000;
        box-shadow: 0 0 40px #FF0000;
    }

    100% {
        background-color: #B20000;
        box-shadow: 0 0 3px #B20000;
    }
}

.flashingBtn {
    -webkit-animation: glowing 1500ms infinite;
    -moz-animation: glowing 1500ms infinite;
    -o-animation: glowing 1500ms infinite;
    animation: glowing 1500ms infinite;
    background-color: #004A7F;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    border: none;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    font-family: Arial;
    font-size: 20px;
    text-align: center;
    text-decoration: none;
}

.clsLbl {
    color: #2d8eb6;
}

.clsImage {
    cursor: pointer;
    border: 0px;
}

.clsHeader {
    /*color: #2d8eb6;*/
    color: White;
    text-align: center;
}

.clsTr {
    height: 35px;
    background-color: #d1ddf5;
}

.clsTr_gvRowStyle {
    font-size: 12px;
    line-height: 25px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
    background-color: #ffcc99;
    font-weight: normal;
    color: #383552;
}

.clsDataTr {
    height: 34px;
}

.gvRowStyle {
    font-size: 12px;
    line-height: 25px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
    background-color: #d1ddf5;
    font-weight: normal;
    color: #000000;
}

.gvHeaderStyle {
    background-color: #D3D3D3;
    font-weight: bold;
    font-size: 12px;
    color: #4a69a8;
    line-height: 20px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
    text-align: center;
}

.clsTxtBox {
    /*font-weight: normal;*/
    font-size: 14px;
    color: Black;
    font-family: Arial, Helvetica, sans-serif;
    width: 99%;
    height: 20px;
    padding: 0px;
    border-width: 1px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    line-height: 20px;
}

.txtSrch::-ms-clear {
    display: none;
}

.clsTxtArea {
    font-size: 14px;
    color: Black;
    font-family: Arial, Helvetica, sans-serif;
    width: 99%;
    padding: 0px;
    border-width: 1px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.clsDrpDwn {
    font-weight: normal;
    font-size: 12px;
    color: #2d8eb6;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
    width: 96%;
    height: 20px;
}

.clsChkbox {
    width: 30px;
    height: 20px;
    clear: left;
    vertical-align: middle;
}

.clsBody {
    padding: 0px;
    margin: 0px;
    background-color: #7690C9;
    font-family: Arial, Helvetica, sans-serif;
}

.ctrlLabel {
    font-weight: bold;
    font-size: 12px;
    color: #4a69a8;
    font-family: Helvetica, Arial, Verdana, sans-serif;
    line-height: 15px;
    text-decoration: none;
}

.bodywhite {
    font-weight: bold;
    font-size: 15px;
    color: #ffffff;
    font-family: Verdana, Arial, Helvetica, sans-serif;
}

.bodybluedark12 {
    font-weight: bold;
    font-size: 14px;
    color: #383552;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
}

.bodybluedarktmp {
    font-weight: bold;
    font-size: 12px;
    color: #383552;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
}

.bodyblue14 {
    font-weight: bold;
    font-size: 14px;
    color: #7690c9;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    text-decoration: none;
}

label {
    cursor: pointer;
}

.modalBackground {
    z-index: 100 !important;
    background-color: #333333;
    filter: alpha(opacity=70);
    opacity: 0.5;
}

.modalBackgroundL2 {
    z-index: 200 !important;
    background-color: #333333;
    filter: alpha(opacity=70);
    opacity: 0.5;
}

.modalBackgroundL3 {
    z-index: 300 !important;
    background-color: #333333;
    filter: alpha(opacity=70);
    opacity: 0.5;
}

.modalBackgroundL4 {
    z-index: 400 !important;
    background-color: #333333;
    filter: alpha(opacity=70);
    opacity: 0.5;
}

#AlertDiv {
    left: 40%;
    top: 40%;
    position: absolute;
    padding: 12px;
    border: #000000 1px solid;
    background-color: white;
    text-align: left;
    visibility: hidden;
    z-index: 900009 !important;
}

#AlertButtons {
    position: absolute;
    bottom: 5%;
}

.accordionHeader {
    border: 1px solid #2F4F4F;
    color: #232b3c;
    font-size: 12px;
    font-weight: bold;
    padding: 5px;
    margin-top: 5px;
    background-color: #bbc8e4;
    cursor: pointer;
    font-family: Verdana, Arial, Helvetica, sans-serif;
}

.accordionHeaderSelected {
    border: 1px solid #2F4F4F;
    color: #232b3c;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
    font-weight: bold;
    padding: 5px;
    background-color: #7690C9;
    margin-top: 5px;
    cursor: pointer;
}

.accordionContent {
    border: 1px dashed #2F4F4F;
    border-top: none;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    padding: 5px;
    background-color: #D3DEEF;
    padding-top: 10px;
}

.collapsePanelHeader {
    width: 99%;
    height: 30px;
    font-weight: bold;
    font-size: 14px;
    background-image: url(../images/bggreen.gif);
    background-repeat: repeat-x;
    color: White;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    border: solid 2px #FFFFFF;
    cursor: pointer;
}
.collapsePanelElgHeader {
    width: 100%;
    height: 30px;
    font-weight: bold;
    font-size: 14px;
    background-repeat: repeat-x;
    color: #FFFFFF;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    border: solid 2px #FFFFFF;
    cursor: pointer;
    background-color: #3f638ebf;
    position: center;
}

.collapsePanel {
    width: 99%;
    background-color: white; /*overflow: scroll;*/
    border: solid 2px white;
    /*padding: 2px;*/
}
.collapseElgPanel {
    width: 100%;
    background-color: white; /*overflow: scroll;*/
    border: solid 2px white;
    height:200px;
    /*padding: 2px;*/
}

.TabSublbl {
    background-color: Transparent;
    font-weight: bold;
    font-size: 12px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    background-color: #7690C9;
    color: White;
    height: 30px;
    text-align: center;
}
/*-------------Calendar Control CSS-------------*/

.MyPopupCalendar .ajax__calendar_container {
    background-color: #DEF1F4;
    border: solid 1px #77D5F7;
    width: 400px;
    height: 300px;
}

.MyPopupCalendar .ajax__calendar_header {
    font-size: 20px;
    background-color: #ffffff;
    margin-bottom: 4px;
    height: 25px;
}

.MyPopupCalendar .ajax__calendar_prev {
    cursor: pointer;
    width: 40px;
    height: 25px;
    float: left;
    border-right: 1px solid #f5f5f5;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-image: url(<%=WebResource("AjaxControlToolkit.Calendar.arrow-left.gif")%>);
}

.MyPopupCalendar .ajax__calendar_next {
    cursor: pointer;
    width: 40px;
    height: 25px;
    float: right;
    border-left: 1px solid #f5f5f5;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-image: url(<%=WebResource("AjaxControlToolkit.Calendar.arrow-right.gif")%>);
}

.MyPopupCalendar .ajax__calendar_body {
    width: 400px;
    height: 240px;
    border: solid 0px red;
}

.MyPopupCalendar .ajax__calendar_footer {
    font-size: 20px;
    border-top: 1px solid #f5f5f5;
    padding: 3px;
    margin: 3px;
    height: 25px;
}

.MyPopupCalendar .ajax__calendar_dayname {
    border-bottom: 1px solid #f5f5f5;
    padding: 0;
    margin: 0;
    height: 25px;
    width: 57px;
    font-size: large;
}

.MyPopupCalendar .ajax__calendar_days {
    border: solid 0px orange;
    overflow: hidden;
    width: 398px;
    height: 238px;
}

.MyPopupCalendar .ajax__calendar_day {
    overflow: hidden;
    border: 0px solid Yellow;
    padding: 0;
    margin: 0;
    height: 35px;
    width: 57px;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_active .ajax__calendar_day {
    background-color: #a5aeb2;
    border-color: #0066cc;
    color: #0066cc;
    height: 35px;
    width: 57px;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_other .ajax__calendar_day {
    background-color: #ffffff;
    border-color: #ffffff;
    color: #646464;
    height: 35px;
    width: 57px;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_hover .ajax__calendar_day {
    background-color: #a5aeb2;
    border-color: #daf2fc;
    color: #0066cc;
    height: 35px;
    width: 57px;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_months table {
    border: solid 0px Yellow;
    overflow: hidden;
    width: 398px;
    height: 238px;
}

.MyPopupCalendar .ajax__calendar_month {
    border: 0px solid blue;
    font-size: medium;
    height: 70px;
    width: 57px;
}

.MyPopupCalendar .ajax__calendar_active .ajax__calendar_month {
    background-color: #a5aeb2;
    border-color: #0066cc;
    color: #0066cc;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_other .ajax__calendar_month {
    background-color: #ffffff;
    border-color: #ffffff;
    color: #646464;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_hover .ajax__calendar_month {
    background-color: #a5aeb2;
    border-color: #daf2fc;
    color: #0066cc;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_years table {
    border: solid 0px green;
    overflow: hidden;
    width: 398px;
    height: 238px;
}

.MyPopupCalendar .ajax__calendar_year {
    border: 0px solid #ffffff;
    font-size: medium;
    height: 70px;
    width: 57px;
}

.MyPopupCalendar .ajax__calendar_active .ajax__calendar_year {
    background-color: #a5aeb2;
    border-color: #0066cc;
    color: #0066cc;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_other .ajax__calendar_year {
    background-color: #ffffff;
    border-color: #ffffff;
    color: #646464;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_hover .ajax__calendar_year {
    background-color: #a5aeb2;
    border-color: #daf2fc;
    color: #0066cc;
    font-size: medium;
}

.MyPopupCalendar .ajax__calendar_hover .ajax__calendar_title {
    color: #0066cc;
}

.MyPopupCalendar .ajax__calendar_hover .ajax__calendar_today {
    color: #0066cc;
}

.MyPopupCalendar .ajax__calendar_invalid .ajax__calendar_day {
    background-color: gray;
    color: White;
    text-decoration: none;
    cursor: default;
}

.clsTxtBx {
    font-weight: bold;
    font-size: 15px;
    color: #2d8eb6;
    font-family: Arial, Helvetica, sans-serif;
    width: 99%;
    height: 20px;
    padding: 0px;
    border-width: 1px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.ImageLink img {
    border-style: none !important;
    cursor: pointer;
}

.gvRowStyle[onclick] {
    cursor: pointer;
}

td[onclick], th[onclick], tr[onclick] {
    cursor: pointer;
}

img[onclick], span[onclick] {
    cursor: pointer;
}

legend {
    color: red;
    font-size: 11px;
}

fieldset {
    display: block;
    margin: 0px 2px 0px 2px;
    padding: 0px 5px 5px 5px;
    /*border: 1px solid white;*/
    border: 1px solid black;
    font-size: 13px;
    font-family: Arial, Helvetica, sans-serif;
}

.black_overlay {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: 1001;
    -moz-opacity: 0.2;
    -khtml-opacity: 0.2;
    opacity: .2;
    filter: alpha(opacity=20);
}

.AutoExtender {
    font-family: Verdana, Helvetica, sans-serif;
    font-size: .8em;
    font-weight: normal;
    border: solid 1px #006699;
    line-height: 20px;
    background-color: White;
    margin-left: 10px;
    overflow: auto;
}

.AutoExtenderList {
    border-bottom: dotted 1px #006699;
    cursor: pointer;
    color: Maroon;
}

.AutoExtenderHighlight {
    color: White;
    background-color: #006699;
    cursor: pointer;
}

.showDragHandle {
    background-image: url(../images/updown2.gif) !important;
    background-repeat: no-repeat !important;
    background-position: center center !important;
    cursor: move;
    cursor: -webkit-grabbing;
    cursor: -moz-grabbing;
}

.dragHandle {
}

.dragging {
    background-color: Transparent;
}

/*Hover Menu*/
.popupMenu {
    position: absolute;
    visibility: hidden;
    background-color: #F5F7F8;
    opacity: .9;
    filter: alpha(opacity=90);
}

.popupHover {
    background-image: url(images/header-opened.png);
    background-repeat: repeat-x;
    background-position: left top;
    background-color: #F5F7F8;
}

.ellipsis {
    display: inline-block;
    ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    margin-top: 0px;
    padding-top: 0px;
    float: left
}

.cctooltip {
    position: relative; /* making the .cctooltip span a container for the cctooltip text */
    border-bottom: 1px dashed #000; /* little indicater to indicate it's hoverable */
}

    .cctooltip:before {
        content: attr(data-text); /* here's the magic */
        position: absolute;
        /* vertically center */
        top: 50%;
        transform: translateY(-50%);
        /* move to right */
        left: 100%;
        margin-left: 15px; /* and add a small left margin */
        /* basic styles */
        width: 200px;
        padding: 10px;
        border-radius: 10px;
        background: #000;
        color: #fff;
        text-align: center;
        display: none; /* hide by default */
    }

    .cctooltip:hover:before {
        display: block;
    }

    .cctooltip:after {
        content: "";
        position: absolute;
        /* position cctooltip correctly */
        left: 100%;
        margin-left: -5px;
        /* vertically center */
        top: 50%;
        transform: translateY(-50%);
        /* the arrow */
        border: 10px solid #000;
        border-color: transparent black transparent transparent;
        display: none;
    }

    .cctooltip:hover:before, .cctooltip:hover:after {
        display: block;
    }

    .cctooltip:hover:before {
        opacity: 1;
    }